How to switch from CGI/Fast CGI to Apache 2.0 Handler

Discussion in 'Installation/Configuration' started by delfo2000, Apr 20, 2016.

  1. delfo2000

    delfo2000 Member


    I have ispconfig 3 and ubuntu 14.04 server, now ispconfig has Server API set to cgi/fast cgi, but I need change to Apache 2.0 Handler.
    My problem:
    1) how change to Apache 2.0 Handler
    2) is it safe set ispconfig 3 set server api to Apache 2.0 handler?

    shubh123 likes this.
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Why, the mode has a lot of drawbacks and security weaknesses without any benefits? Using apache2 handler is insecure as all websites run under the same user and you wont b able t write files into the website in a secure way so you cant run cms that upload files or have an online update function. Beside that, I have not seen any site in the past years that needed the old apacche php handler. Better use the newer and recommended and fast php modes php-fcgi or even better php-fpm.
  3. till

    till Super Moderator Staff Member ISPConfig Developer

    This is the Forum of the ispconfig control panel, so i guess it is unlikely that he uses Kloxo ;)
  4. delfo2000

    delfo2000 Member

    Dear till,
    there was comunication error. I don't think use Kloxo, my problem it's install drupal 7 with customization, in Ispconfig 3 I go "site --> domain " and use MOD-PHP I have Server API "Apache 2.0 Handler"
    My problem persist.

Share This Page